Safe Haskell | Safe

DeprecatedClass

Synopsis

- class SomeClass a where
- class SomeOtherClass a where

# Documentation

class SomeClass a where #

Deprecated: SomeClass

some class

Minimal complete definition

foo

Methods

foo :: a -> a #

Deprecated: foo

documentation for foo

class SomeOtherClass a where #

Deprecated: SomeOtherClass

Minimal complete definition

bar

Methods

bar :: a -> a #

Deprecated: bar